/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * Excel模板类型
 */
public enum TemplateType {

    EXAM_STUDENT_DATA("考生数据表", 1),

    EXAMINATION_ROOM_DATA("考场数据表", 2),

    PAPER_PACKAGE("卷袋贴模板", 3),

    CHECKIN_TABLE("签到表模板", 4),

    NORMAL_ANSWER_CARD("常规题卡模板", 5),

    SPECIAL_ANSWER_CARD("特殊题卡模板", 6),

    BACKUP_PAPER_PACKAGE("备份卷贴模板", 7),

    PAPER_PACKAGE_STYLE("试卷袋样式", 8);

    private String name;

    private Integer num;

    TemplateType(String name, Integer num) {
        this.name = name;
        this.num = num;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

}