/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-26 10:22:48.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 学校机构的考试信息
 *
 * @author: fengdesheng
 * @since: 2018/10/26
 */
public class OrgExamInfo implements JsonSerializable {
    private static final long serialVersionUID = 1L;
    /**
     * 学校机构ID
     */
    private Long orgId;
    /**
     * 学校机构名称
     */
    private String orgName;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 考试名称
     */
    private String examName;

    public OrgExamInfo(Long orgId, String orgName, Long examId, String examName) {
        this.orgId = orgId;
        this.orgName = orgName;
        this.examId = examId;
        this.examName = examName;
    }

    public OrgExamInfo() {

    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

}