/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.common.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 印刷项目-其它设置信息
 */
@Entity
@Table(name = "ec_prt_project_other_setting", indexes = {
        @Index(name = "INDEX_PRT_PROJECT_OTHER_01", columnList = "projectId")})
public class ProjectOtherSetting extends IdEntity {
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 备注
     */
    @Column(length = 1000)
    private String remark;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}